Group all vmtools logs in /var/log/vmware directory.

diff --git a/open-vm-tools/libDeployPkg/linuxDeployment.c b/open-vm-tools/libDeployPkg/linuxDeployment.c
index d978c8ff..b629bde0 100644
--- a/open-vm-tools/libDeployPkg/linuxDeployment.c
+++ b/open-vm-tools/libDeployPkg/linuxDeployment.c
@@ -87,7 +87,7 @@ VM_EMBED_VERSION(SYSIMAGE_VERSION_EXT_STR);
 #endif
 
 #ifndef CABCOMMANDLOG
-#define CABCOMMANDLOG "/var/log/vmware-imc/toolsDeployPkg.log"
+#define CABCOMMANDLOG "/var/log/vmware/toolsDeployPkg.log"
 #endif
 
 #define MAXSTRING 2048
diff --git a/open-vm-tools/libvmtools/vmtoolsLog.c b/open-vm-tools/libvmtools/vmtoolsLog.c
index 2162efd6..bd9322af 100644
--- a/open-vm-tools/libvmtools/vmtoolsLog.c
+++ b/open-vm-tools/libvmtools/vmtoolsLog.c
@@ -80,7 +80,7 @@
 #define DEFAULT_LOGFILE_DIR "%windir%"
 #define DEFAULT_LOGFILE_NAME_PREFIX "vmware"
 #else
-// *ix log goes to /var/log/vmware-<service>.log
+// *ix log goes to /var/log/vmware/<service>.log
 #define DEFAULT_LOGFILE_NAME_PREFIX  "/var/log/vmware"
 #endif
 
@@ -832,7 +832,7 @@ VMToolsDefaultLogFilePath(const gchar *domain)
                           domain,
                           g_get_user_name());
 #else
-   path = g_strdup_printf("%s-%s-%s.log", DEFAULT_LOGFILE_NAME_PREFIX,
+   path = g_strdup_printf("%s/%s-%s.log", DEFAULT_LOGFILE_NAME_PREFIX,
                           domain,
                           g_get_user_name());
 #endif
diff --git a/open-vm-tools/scripts/common/vm-support b/open-vm-tools/scripts/common/vm-support
index f8e3b29b..05141b59 100644
--- a/open-vm-tools/scripts/common/vm-support
+++ b/open-vm-tools/scripts/common/vm-support
@@ -357,7 +357,7 @@ addfiles /var/log/boot*
 addfiles /var/log/secure*
 addfiles /var/log/messages*
 addfiles /var/log/syslog*
-addfiles /var/log/vmware-*
+addfiles /var/log/vmware/*
 addfiles /var/run/vmware-*
 addfile /var/log/cloud-init.log
 addfile /var/log/cloud-init-output.log
diff --git a/open-vm-tools/scripts/linux/network b/open-vm-tools/scripts/linux/network
index db37304d..d8214b6c 100644
--- a/open-vm-tools/scripts/linux/network
+++ b/open-vm-tools/scripts/linux/network
@@ -28,7 +28,7 @@
 
 SOURCE=$0
 logdir=/var/log
-logbase=$logdir/vmware-network
+logbase=$logdir/vmware/network
 logfile=$logbase.log
 
 # Defines logging mode enabled (1) or disabled (0)
diff --git a/open-vm-tools/services/plugins/deployPkg/deployPkgLog.c b/open-vm-tools/services/plugins/deployPkg/deployPkgLog.c
index 3b8f7824..03f58d28 100644
--- a/open-vm-tools/services/plugins/deployPkg/deployPkgLog.c
+++ b/open-vm-tools/services/plugins/deployPkg/deployPkgLog.c
@@ -75,7 +75,7 @@ DeployPkgLog_Open()
 
    Str_Strcat(logPath, "vmware-imc", sizeof logPath);
 #else
-   Str_Strcpy(logPath, "/var/log/vmware-imc", sizeof logPath);
+   Str_Strcpy(logPath, "/var/log/vmware", sizeof logPath);
 #endif
 
    if (File_CreateDirectoryHierarchy(logPath, NULL)) {
diff --git a/open-vm-tools/vgauth/service/service.h b/open-vm-tools/vgauth/service/service.h
index 8f57d5c4..70e08b1d 100644
--- a/open-vm-tools/vgauth/service/service.h
+++ b/open-vm-tools/vgauth/service/service.h
@@ -89,7 +89,7 @@ gboolean ServiceSuicide(const char *pidPath);
 #define LOGFILENAME_DEFAULT "vgauthsvclog.txt"
 #define LOGFILENAME_PATH_DEFAULT "c:\\temp\\" LOGFILENAME_DEFAULT
 #else
-#define LOGFILENAME_PATH_DEFAULT "/var/log/vmware-vgauthsvc.log"
+#define LOGFILENAME_PATH_DEFAULT "/var/log/vmware/vgauthsvc.log"
 #endif
 
 void Service_SetLogOnStdout(gboolean flag);
